aboutsummaryrefslogtreecommitdiffstats
path: root/ansible/roles/download_dpdk
diff options
context:
space:
mode:
authorOleksandr Naumets <oleksandrx.naumets@intel.com>2018-12-27 16:20:19 +0000
committerOleksandr Naumets <oleksandrx.naumets@intel.com>2019-01-02 15:55:08 +0000
commit92d295fc145f02f8c28f8cd71c2822dfb3e7f872 (patch)
tree0439a46c5efa7c18cd01485cc3f6d4d334ae89ce /ansible/roles/download_dpdk
parent2b321003001e71fec83a5138afd9638d3f97fb7d (diff)
Add support of DPDK version 18.11 for PROX, igb_uio
Adding DPDK version 18.11 support as per new requirement for PROX. Since other sample VNFs are not supporting DPDK 18.11, they will be using default DPDK version (17.05). JIRA: YARDSTICK-1576 Change-Id: Ifab1886c51a22392f52f3e9e515a9d6b81edeefc Signed-off-by: Oleksandr Naumets <oleksandrx.naumets@intel.com>
Diffstat (limited to 'ansible/roles/download_dpdk')
-rw-r--r--ansible/roles/download_dpdk/defaults/main.yml3
1 files changed, 2 insertions, 1 deletions
diff --git a/ansible/roles/download_dpdk/defaults/main.yml b/ansible/roles/download_dpdk/defaults/main.yml
index 8371188..b2d959e 100644
--- a/ansible/roles/download_dpdk/defaults/main.yml
+++ b/ansible/roles/download_dpdk/defaults/main.yml
@@ -1,11 +1,11 @@
---
dpdk_version: "17.05"
+dpdk_version_for_PROX: "18.11"
dpdk_url: "http://fast.dpdk.org/rel/dpdk-{{ dpdk_version }}.tar.xz"
dpdk_file: "{{ dpdk_url|basename }}"
dpdk_unarchive: "{{ dpdk_file|regex_replace('[.]tar[.]xz$', '') }}"
dpdk_dest: "{{ clone_dest }}/"
-#NOTE(ralonsoh): DPDK > 17.02 are currently unsupported due to prox build issues
dpdk_md5:
"16.07.2": "md5:4922ea2ec935b64ff5c191fec53344a6"
"16.11.7": "md5:c081d113dfd57633e3bc3ebc802691be"
@@ -16,3 +16,4 @@ dpdk_md5:
"17.11.3": "md5:68ca84ac878011acf44e75d33b46f55b" #unsupported
"18.02.2": "md5:75ad6d39b513649744e49c9fcbbb9ca5" #unsupported
"18.05": "md5:9fc86367cd9407ff6a8dfea56c4eddc4" #unsupported
+ "18.11": "md5:04b86f4a77f4f81a7fbd26467dd2ea9f" # Not supported by SampleVNFs except PROX